@import "_responsive";
@import "_colors";
@import "_layers";

.sticky-header {
  background: $def-white;
  width: 100%;
  height: 72px;
  position: fixed;
  @include layer(top-menu);
  left: 0;
  top: -100px;
  transition: all 0.4s ease;
  @media (max-width: $phone) {
    height: 46px;
    border-radius: 16px;
  }
  &.sticky {
    top: 0;
    .sub-menu {
      top: 72px !important;
      @media (max-width: $phone) {
        top: 46px !important;
      }
    }
  }
  .page-container {
    display: flex;
    align-items: center;
    height: 72px;
    padding-top: 0;
    padding-bottom: 0;

    @media (max-width: $phone) {
      height: 46px;
    }
  }
  img.logo {
    height: 50px;
    width: 93px;
    vertical-align: middle;
    @media (max-width: $phone) {
      width: 73px;
      height: 39px;
    }
  }
  .navigation {
    display: inline-block;
    width: calc(100% - 120px);
    vertical-align: middle;
    text-align: right;
    @media (max-width: $phone) {
      width: calc(100% - 78px);
    }
    ul.main-navigation {
      vertical-align: middle;
      @media (max-width: $phone) {
        margin: 0;
      }
      @media (max-width: $big-screen) {
        & > li {
          display: none !important;
          &.active {
            display: inline-block !important;
            font-weight: 400;
            font-size: 14px;
            margin-right: 0;
            &::before {
              display: none;
            }
            a {
              font-weight: 400;
            }
          }
        }
      }
      li {
        position: relative;
        display: inline-block;
        list-style: none;
        font-size: 13px;
        font-weight: 600;
        margin-right: 2px;
        padding: 8px 6px;
        cursor: pointer;

        a {
          color: $primary;
        }

        @media (max-width: $big-screen) {
          padding-right: 0;
        }

        /* @media (max-width: 1200px) {
          margin-right: 3px;
        } */

        .sub-menu {
          display: none;
        }
        &:nth-last-of-type(1) {
          margin-right: 0;
        }
        &.active {
          a {
            color: $def-white;
            @media (max-width: $big-screen) {
              color: $primary;
              font-weight: bold;
            }
          }
          &::before {
            z-index: -1;
            content: "";
            position: absolute;
            width: 100%;
            height: 100%;
            background: linear-gradient(90deg, #c71c48 -1.56%, #e9426c 103.13%);
            border-radius: 8px;
            left: 0;
            top: 0;
          }
          .sub-menu {
            position: fixed;
            display: block;
            z-index: 9000;
            top: -100px;
            left: 0;
            width: 100%;
            text-align: left;
            transition: all 0.4s ease;
            background: #f1f2f4;
            border-radius: 8px;

            .page-container {
              height: auto;
            }
            ul {
              padding: 0;
              overflow-x: auto;
              display: flex;
              flex-wrap: nowrap;
              align-items: center;

              @media (max-width: $big-screen) {
                margin: 0 auto !important;
              }

              li {
                display: inline-block;
                list-style: none;
                padding: 3px 10px;
                margin: 0 10px;
                font-weight: normal;
                font-size: 12px;
                position: relative;
                margin-top: 3px;
                margin-bottom: 3px;
                transition: all 0.2s ease;
                background: transparent;
                cursor: pointer;
                color: $secondary;

                &.active {
                  color: $primary;
                  font-weight: bold;
                  &::before {
                    position: absolute;
                    height: 4px;
                    width: 100%;
                    background: linear-gradient(
                      90deg,
                      #c71c48 -1.56%,
                      #e9426c 103.13%
                    );
                    top: 28px;
                  }
                  img.arrow {
                    transform: rotate(180deg);
                  }
                }
              }
            }
          }
        }
      }
    }
    img.arrow {
      display: none;
      width: 24px;
      height: 12px;
      margin-left: 30px;
      transition: all 0.2s ease;

      @media (max-width: $big-screen) {
        display: inline-block;
      }

      &.active {
        transform: rotate(180deg);
      }
    }
  }
}
